FROM node:lts

#Set Maintainer name
LABEL Maintainer="FivePoints(contact@fivepoints.fr)"

#Check Nodejs version
RUN node -v
RUN npm -v
#Install required dependencies
#RUN apt-get install -y software-properties-common
#RUN add-apt-repository ppa:jonathonf/python-3.6
#RUN apt-get update && apt-get install -y python3.6

COPY /Core.js /sandbox/

COPY /package.json /sandbox

WORKDIR /sandbox
RUN npm install --silent
RUN npm install vm2 --silent
RUN npm install -g compile-run --silent

RUN ls



CMD ["node","Core.js"]